Bug 790639 - Requires: gsettings-desktop-schemas is missing from spec
Requires: gsettings-desktop-schemas is missing from spec
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F17Alpha-accepted/F17AlphaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-02-14 20:07 EST by Brian Lane
Modified: 2012-02-20 21:22 EST (History)
6 users (show)

See Also:
Fixed In Version: metacity-2.34.2-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 21:22:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2012-02-14 20:07:11 EST
metacity crashes when run by Anaconda with the following error:

GLib-GIO-ERROR **: Settings schema 'org.gnome.desktop.wm.preferences' is not installed

The most recent build (metacity-2.34.2-1.fc17) notes that the schemas have been moved to gsettings-desktop-schemas but there is no requirement on it so Lorax fails to pull it in when building the boot.iso

I have added it to the Lorax template explicitly, but the real solution is to make metacity Require it.
Comment 1 Adam Williamson 2012-02-15 12:34:48 EST
Proposing as NTH for Alpha.

Consequence of this bug is that you get no window management in anaconda during installation. This looks a little goofy, but I can't actually think of any point during install at which you _need_ to manage windows: you can get through an install just fine with the windows popping up on top of each other with no borders.

So I can't actually see this as a blocker, but NTH seems appropriate for the aesthetic impact, we should probably respin with a fix.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Fedora Update System 2012-02-15 13:07:53 EST
metacity-2.34.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/metacity-2.34.2-2.fc17
Comment 3 Adam Williamson 2012-02-15 15:07:54 EST
dgilmore is +1 to this being NTH. any other votes?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Andre Robatino 2012-02-15 15:11:45 EST
+1 NTH
Comment 5 Kevin Fenzi 2012-02-15 15:13:29 EST
yeah, seems fine as a NTH.
Comment 6 Jóhann B. Guðmundsson 2012-02-15 16:10:00 EST
+1 NTH
Comment 7 Adam Williamson 2012-02-15 16:44:20 EST
Marking AcceptedNTH.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Adam Williamson 2012-02-15 20:00:52 EST
okay, this looks fixed in RC2. windows have actual title bars and can be moved, during installation. setting VERIFIED not CLOSED as we still need the updated build to be pushed stable.
Comment 9 Fedora Update System 2012-02-15 20:58:28 EST
Package metacity-2.34.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing metacity-2.34.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1783/metacity-2.34.2-2.fc17
then log in and leave karma (feedback).
Comment 10 Adam Williamson 2012-02-15 23:01:58 EST

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Fedora Update System 2012-02-18 06:24:44 EST
metacity-2.34.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/metacity-2.34.2-3.fc17
Comment 12 Fedora Update System 2012-02-18 13:48:59 EST
Package metacity-2.34.2-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing metacity-2.34.2-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1971/metacity-2.34.2-3.fc17
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-02-20 21:22:15 EST
metacity-2.34.2-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.